刊登管理 - 获取指定 productType 的 JSON Schema
POST
/basicOpen/openapi/publish/manage/getProductType接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/openapi/publish/manage/getProductType | HTTPS | POST | 1 |
请求参数
marketplaceIdstring必填productTypeOriginstring必填store_idstring请求示例
以下为低价商店商品请求示例,刊登主站商品时请勿传 store_id。
{
"marketplaceId": "ATVPDKIKX0DER",
"productTypeOrigin": "ADVERTISEMENT_COLLECTIBLES",
"store_id": "12345"
}
请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/openapi/publish/manage/getProductType?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{"marketplaceId":"ATVPDKIKX0DER","productTypeOrigin":"ADVERTISEMENT_COLLECTIBLES","store_id":"12345"}'
返回结果
codenumber必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
productTypeobject必填隐藏子属性
productTypeUniqueIdstring必填marketplaceIdstring必填productTypeOriginstring必填displayNamestring必填propertiesstring必填propertiesZhstring必填totalnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "b1d0217888784ce597131ff1c3fdbd2b.1753351351953",
"response_time": "2025-07-24 18:02:34",
"data": {
"productType": {
"productTypeUniqueId": "514829689877954560",
"productType": "advertisementcollectibles",
"marketplaceId": "xxxxxxxxxxxxxxxx",
"name": "ADVERTISEMENT_COLLECTIBLES",
"displayName": "ADVERTISEMENT_COLLECTIBLES",
"propertyGroups": "",
"properties": "",
"propertiesZh": ""
}
},
"total": 0
}